include:
  - project: coscine/tools/gitlab-ci-templates
    file: 
      - /dotnet.yml

stages:
  - build
  - test
  - publish
  - container

variables:
  DOTNET_MAIN_PROJECT_FOLDER: RdmStandardsWrapper

build-branch:
  extends: .build-branch

test:
  extends: .test

publish-gitlab-release:
  extends: .publish-gitlab-release
  
publish:
  extends: .publish-artifact-release

container:
  stage: container
  tags:
    - runner:docker
  image:
    name: gcr.io/kaniko-project/executor:debug
    entrypoint: [""]
  variables:
    # variables can be overridden by extending the task
    # name of the container, uses project name (+path) by default
    CONTAINER_LABEL: latest
  script:
    - mkdir -p /kaniko/.docker
    - echo "{\"auths\":{\"$CI_REGISTRY\":{\"username\":\"$CI_REGISTRY_USER\",\"password\":\"$CI_REGISTRY_PASSWORD\"}}}" > /kaniko/.docker/config.json
    - /kaniko/executor --context $CI_PROJECT_DIR --dockerfile $CI_PROJECT_DIR/Dockerfile --destination $CI_REGISTRY/$CI_PROJECT_PATH:$CONTAINER_LABEL
  rules:
    - when: manual
